#!/bin/bash

# Tworzy zrzut bazy danych (uruchamiany z crona)

DATE=$(date +"%Y%m%d")
DST="/home/backup/db/"

DATESTART=$(date +"%Y-%m-%d %H:%M")
echo "Start Backup bazy danych ${DATESTART}"  >> /var/log/backup_db.log

su - postgres -c "pg_dump -d edokumenty | gzip > ${DST}/edokumenty_${DATE}.sql.gz"

#Usunięcie plikow starszych niż 7
find /home/backup/db -name "edokumenty*.sql.gz" -mtime +7 -type f -delete

DATEEND=$(date +"%Y-%m-%d %H:%M")
echo "Koniec Backup bazy danych ${DATEEND}" >> /var/log/backup_db.log

